<?php

namespace Bdp\Modules\EventParticipants\Controllers;

class AjaxRouterController {
	function __construct() {
		global $_REQUEST;
		switch ($_REQUEST['method']) {
			case 'kompass_print_participant_summary':
				new MemberSummaryController();
				break;

			case 'print_kitchen_data':
				new PrintParticipantListKitchenPdfController();
				break;

			case 'print_kitchen_allergies_data':
				new PrintParticipantListKitchenAllergiesPdfController();
				break;

			case 'print_signup_data':
				new PrintParticipantListSignupPdfController();
				break;

			case 'print_medical_data':
				new PrintParticipantListMedicalPdfController();
				break;

            case 'print_drink_data':
                new PrintParticipantListDrinkingPdfController();
                break;

            case 'print_drink_alcoholic_data':
                new PrintParticipantListDrinkingAlcoholicPdfController();
                break;

            case 'print_photo_data':
                new PrintParticipantListPhotoPdfController();
                break;

            case 'print_invoice_data':
                new PrintParticipantListInvoicePdfController();
                die();

			default:
				echo 'No "method" specified.';
		}
	}
}